nv_std::is_base_of_helper< BaseT, DerivedT > Struct Template Reference

Helper for std::is_base_of.

`#include <nv_std.h>`

## Classes

struct | dummy

## Public Types

typedef char(& | yes)[1]
typedef char(& | no)[2]

## Static Public Member Functions

template<typename T >
static CUTLASS_HOST_DEVICE yes | check (DerivedT *, T)
static CUTLASS_HOST_DEVICE no | check (BaseT *, int)

## Static Public Attributes

static const bool | value = sizeof(check(dummy<BaseT, DerivedT>(), int())) == sizeof(yes)

## Member Typedef Documentation

## no

template<typename BaseT , typename DerivedT >

typedef char(& nv_std::is_base_of_helper< BaseT, DerivedT >::no)[2]

## yes

template<typename BaseT , typename DerivedT >

typedef char(& nv_std::is_base_of_helper< BaseT, DerivedT >::yes)[1]

## Member Function Documentation

## check() [1/2]

template<typename BaseT , typename DerivedT >
template<typename T >

static CUTLASS_HOST_DEVICE yes nv_std::is_base_of_helper< BaseT, DerivedT >::check | ( | DerivedT * | ,
|  | T |
| ) |  |

static

## check() [2/2]

template<typename BaseT , typename DerivedT >

static CUTLASS_HOST_DEVICE no nv_std::is_base_of_helper< BaseT, DerivedT >::check | ( | BaseT * | ,
|  | int |
| ) |  |

static

## Member Data Documentation

## value

template<typename BaseT , typename DerivedT >

const bool nv_std::is_base_of_helper< BaseT, DerivedT >::value = sizeof(check(dummy<BaseT, DerivedT>(), int())) == sizeof(yes)

static

The documentation for this struct was generated from the following file:

- nv_std.h